Bug 1691074 - [RFE] Satellite should be able to sync Fedora 30, ignoring zChunk data.
Summary: [RFE] Satellite should be able to sync Fedora 30, ignoring zChunk data.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.6.0
Assignee: satellite6-bugs
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-20 19:32 UTC by Bryan Kearney
Modified: 2019-10-22 12:47 UTC (History)
6 users (show)

Fixed In Version: pulp-rpm-2.19.1
Doc Type: Release Note
Doc Text:
This feature should enable syncing Fedora 30 repositories.
Clone Of:
Environment:
Last Closed: 2019-10-22 12:47:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 4529 Normal CLOSED - CURRENTRELEASE Broken repo can be published if zchunk metadata is not ignored at sync time 2019-06-24 15:46:47 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:28 UTC

Description Bryan Kearney 2019-03-20 19:32:59 UTC
Fedora 30 is adding support for zChunk [1]. This is a performance enhancement for syncing, but not a requirement. For this feature, the Satellite 6.x release (based on Pulp 2.x) should ignore the zChunk metadata during a sync. Syncing this, and filtering, would result in the client breaking.

Verification for this feature is to do the following:

1) Sync down Fedora 30.
2) Create a content view which filters out some set of packages, and promote it.
3) Do a dnf update against that content view version. If the client finishes  with no errors then this feature passes.

Comment 3 Robin Chan 2019-06-24 15:34:51 UTC
Added the correct Pulp Redmine tracker for Pulp 2.
Pulp 3 changes to support this more fully will be tracked here: https://pulp.plan.io/issues/4552
Comment 4 pulp-infra@redhat.com 2019-06-24 15:46:48 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 5 pulp-infra@redhat.com 2019-06-24 15:46:49 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 6 pulp-infra@redhat.com 2019-06-24 16:21:26 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 7 jcallaha 2019-07-24 20:21:28 UTC
Verified in Satellite 6.6.0 Snap 11 against Fedora 30

Added both the Fedora 30 base os repo and updates repo.

Added both to a content view and filtered out errata older than 1 Jan 2019

Performed an update on my host and it completed without errors.

[root@fed30 ~]# dnf -y update
Updating Subscription Management repositories.
fed30 base                                                                                                                                                    6.7 kB/s | 2.1 kB     00:00    
fedupdates                                                                                                                                                    7.7 kB/s | 2.6 kB     00:00    
Dependencies resolved.
...
Installed products updated.

Upgraded:
  gnupg2-2.2.17-1.fc30.x86_64                   vim-minimal-2:8.1.1713-1.fc30.x86_64           systemd-rpm-macros-241-9.gitb67ecf2.fc30.noarch      systemd-241-9.gitb67ecf2.fc30.x86_64     
  systemd-pam-241-9.gitb67ecf2.fc30.x86_64      systemd-libs-241-9.gitb67ecf2.fc30.x86_64     

Installed:
  libxkbcommon-0.8.3-1.fc30.x86_64      pinentry-1.1.0-5.fc30.x86_64      gnupg2-smime-2.2.17-1.fc30.x86_64      libsecret-0.18.8-1.fc30.x86_64      xkeyboard-config-2.26-2.fc30.noarch     

Complete!

Comment 9 errata-xmlrpc 2019-10-22 12:47:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.